#!/bin/sh
#-----------------------------------------------------------------------------
#
# Author: (c) 2023 - Invoca Systems <simon.matter@invoca.ch>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 2 of the license or, at your
# option, any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------
#
# System-wide default configuration for Tomcat services
#
#-----------------------------------------------------------------------------

# Catalina temporary directory
if [ -z "$CATALINA_TMPDIR" ]; then
  CATALINA_TMPDIR="/var/cache/tomcat/temp"
fi

# Catalina Java logging
if [ -n "$CATALINA_VMLOG" ]; then
  CATALINA_OPTS="$CATALINA_VMLOG $CATALINA_OPTS"
fi

# Catalina Java JMX
if [ -n "$CATALINA_JMX" ]; then
  CATALINA_OPTS="$CATALINA_JMX $CATALINA_OPTS"
fi

# Java headless mode
JAVA_OPTS="-Djava.awt.headless=true $JAVA_OPTS"

# Umask for system reserved uid/gid
if [ -z "$UMASK" ]; then
  UMASK="0022"
fi

# Define PID file on systems running systemd
if command -v systemctl > /dev/null 2>&1; then
  CATALINA_PID="/run/tomcat/tomcat.pid"
fi
